Bug 195542 - anaconda vnc install dies with: _cairo_content_from_format: assertion
anaconda vnc install dies with: _cairo_content_from_format: assertion
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
rawhide
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Carl Worth
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-06-15 13:02 EDT by Doug Chapman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 13:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2006-06-15 13:02:22 EDT
Description of problem:
VNC install of rawhide-20060615 on HP Integrity
the VNC server starts then a few seconds later we get:

python: cairo-image-surface.c:471: _cairo_content_from_format: Assertion
`NOT_REACHED' failed.
install exited abnormally


Version-Release number of selected component (if applicable):
anaconda-11.1.0.40-1
rawhide-20060615


How reproducible:
100%

Steps to Reproduce:
1. VNC install on ia64 (possibly others also)
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-06-15 15:24:57 EDT
Upstream is https://bugs.freedesktop.org/show_bug.cgi?id=7229

Trivial reproducer:
Xvnc -depth 16 SecurityTypes=None -auth /dev/null :8 &
DISPLAY=:8 python -c 'import gtk; w = gtk.Window(); w.show(); gtk.main()'
Comment 2 Carl Worth 2006-06-16 13:46:19 EDT
Thanks for the report, and particularly the simple reproduction steps. They were
very helpful in tracking this down.

I tested my fix and got confirmation from the Mandriva maintainer that it helped
a similar problem he hit, so I've now built a cairo 1.1.10 with that fix.

-Carl

Note You need to log in before you can comment on or make changes to this bug.